Skip to content

Create a collection

POST
/api/v1/collections
curl --request POST \
--url https://your-orimora-instance.example.com/api/v1/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "icon": "example", "color": "example", "description": "example" }'
Media type application/json
object
name
required
string
>= 1 characters <= 255 characters
icon
string
color
string
description
string
Example generated
{
"name": "example",
"icon": "example",
"color": "example",
"description": "example"
}

Created collection

Media type application/json
object
data
required
object
id
required
string format: uuid
name
required
string
icon
required
string | null
color
required
string | null
description
required
string | null
teamId
required
string format: uuid
createdById
required
string | null format: uuid
archivedAt
required
string | null format: date-time
sortOrder
required
number
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example generated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"icon": "example",
"color": "example",
"description": "example",
"teamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"createdById": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"archivedAt": "2026-04-15T12:00:00Z",
"sortOrder": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
}

Validation error

Media type application/json
object
error
required

Human-readable error message

string
Example generated
{
"error": "example"
}